ZIP_SOURCE_ROLLBACK_WRITE(3) | Library Functions Manual | ZIP_SOURCE_ROLLBACK_WRITE(3)

# NAME

`zip_source_rollback_write` — undo changes to zip source

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

void
`zip_source_rollback_write`(zip_source_t *source);

# DESCRIPTION

The function `zip_source_rollback_write`() reverts changes written to source, restoring the data before zip_source_begin_write(3) was called. Usually this removes temporary files or frees buffers.

# SEE ALSO

libzip(3), zip_source(5), zip_source_begin_write(3), zip_source_commit_write(3), zip_source_seek_write(3), zip_source_tell_write(3), zip_source_write(3)

# HISTORY

`zip_source_rollback_write`() was added in libzip 1.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

November 3, 2021 | NiH